Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1357505 - wrong threshold value in email
Summary: wrong threshold value in email
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Storage Console
Classification: Red Hat
Component: core
Version: 2
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 3
Assignee: Nishanth Thomas
QA Contact: sds-qe-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-18 11:52 UTC by Martin Kudlej
Modified: 2018-11-19 05:41 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-19 05:41:16 UTC


Attachments (Terms of Use)

Description Martin Kudlej 2016-07-18 11:52:01 UTC
Description of problem:
--------
Mount Threshold Crossed-var-lib-ceph-osd-qwerty-1:

Timestamp: 2016-07-18 11:45:00.648102 +0000 +0000
Affected entity: Host
Origin node:dhcp46-16.lab.eng.blr.redhat.com
Description: var-lib-ceph-osd-qwerty-1 MountPoint utilization on the node: dhcp46-16.lab.eng.blr.redhat.com is back to normal. Threshold value: 90.00%. Current utilization: 79.08%
Cluster: qwerty
Current Utilization: 79.08
Threshold value: 90.00
-------

I think there should be "Threshold value: 80.00" instead of "Threshold value: 90.00". 


Version-Release number of selected component (if applicable):
ceph-ansible-1.0.5-27.el7scon.noarch
ceph-installer-1.0.14-1.el7scon.noarch
rhscon-ceph-0.0.33-1.el7scon.x86_64
rhscon-core-0.0.34-1.el7scon.x86_64
rhscon-core-selinux-0.0.34-1.el7scon.noarch
rhscon-ui-0.0.48-1.el7scon.noarch


How reproducible:
100%

Steps to Reproduce:
1. copy some data into pool to exceed threshold
2. remove some data to decrease threshold
3. check emails

Actual results:
There is wrong threshold in email event.

Expected results:
There will be correct threshold in email event.

Comment 2 Martin Kudlej 2016-07-18 12:22:38 UTC
Another wrong text:
Mount Threshold Crossed-var-lib-ceph-osd-qwerty-1:

Timestamp: 2016-07-18 12:15:02.007234 +0000 +0000
Affected entity: Host
Origin node:dhcp46-16.lab.eng.blr.redhat.com
Description: var-lib-ceph-osd-qwerty-1 MountPoint utilization on the node: dhcp46-16.lab.eng.blr.redhat.com has crossed the threshold value of 90.00%. Current utilization: 84.08% <----
Cluster: qwerty
Threshold value: 90.00 <----
Current Utilization: 84.08 <----

Comment 3 Tomas Petr 2017-06-08 07:58:09 UTC
The issue is still present in the latest version:

rhscon-ceph-0.0.43-1.el7scon.x86_64 
rhscon-core-0.0.45-1.el7scon.x86_64 
rhscon-core-selinux-0.0.45-1.el7scon.noarch 
rhscon-ui-0.0.60-1.el7scon.noarch  
-------
"
Mount Threshold Crossed-var-lib-ceph-osd-ceph-73:

Timestamp: 2017-06-07 10:35:24.444623 +0000 +0000
Affected entity: Host
Origin node:cephstorage.node
Description: var-lib-ceph-osd-ceph-73 MountPoint utilization on the 
node: cephstorage.node has crossed the threshold value of 90.00%. Current 
utilization: 80.01%
Cluster: XXXX
Current Utilization: 80.01
Threshold value: 90.00
"
-------

Comment 4 Tomas Petr 2017-06-08 15:54:44 UTC
All events for "Mount Threshold" in mongodb have "Threshold value" : "90.00" and "...has crossed the threshold value of 90.00%" even if Utilization did not get over this treshold

{ "_id" : ObjectId("5939543a1886e36bee52b5c6"), "eventid" : BinData(0,"/5GfNU7HQm+BwHhsu7YbYQ=="), "clusterid" : BinData(0,"qTuLjKf+QQOENGpJD2QaZg=="), "clustername" : "ceph", "notificationentity" : 0, "entityid" : BinData(0,"wDA2TjfaRu+zC/MsioAVxA=="), "nodeid" : BinData(0,"wDA2TjfaRu+zC/MsioAVxA=="), "nodename" : "c2conmon1", "timestamp" : ISODate("2017-06-08T13:42:18.482Z"), "name" : "Mount Threshold Crossed-var-lib-ceph-osd-ceph-20", "context" : "skyring:50c9f4f5-2751-4812-afb0-20d45efc8745", "tags" : { "Threshold value" : "90.00", "Current Utilization" : "83.81" }, "message" : "var-lib-ceph-osd-ceph-20 MountPoint utilization crossed threshold on: c2conmon1", "description" : "var-lib-ceph-osd-ceph-20 MountPoint utilization on the node: c2conmon1 has crossed the threshold value of 90.00%. Current utilization: 83.81%", "severity" : 4, "correlationid" : BinData(0,"AAAAAAAAAAAAAAAAAAAAAA=="), "acked" : true, "userackedtime" : ISODate("0001-01-01T00:00:00Z"), "systemackedtime" : ISODate("2017-06-08T15:12:26.534Z"), "ackedbyuser" : "", "ackedbyevent" : "8d203d00-c036-4efa-9f3a-184b66cb0c77", "userackcomment" : "", "systemackcomment" : "This event is dismissed automatically, as we have recieved a corresponding event: 8d203d00-c036-4efa-9f3a-184b66cb0c77", "notify" : true, "notified" : false }

{ "_id" : ObjectId("5939695a1886e36bee52b5ca"), "eventid" : BinData(0,"jSA9AMA2TvqfOhhLZssMdw=="), "clusterid" : BinData(0,"qTuLjKf+QQOENGpJD2QaZg=="), "clustername" : "ceph", "notificationentity" : 0, "entityid" : BinData(0,"wDA2TjfaRu+zC/MsioAVxA=="), "nodeid" : BinData(0,"wDA2TjfaRu+zC/MsioAVxA=="), "nodename" : "c2conmon1", "timestamp" : ISODate("2017-06-08T15:12:26.531Z"), "name" : "Mount Threshold Crossed-var-lib-ceph-osd-ceph-20", "context" : "skyring:97da584c-a269-43aa-8e09-bb3a87b9ea85", "tags" : { "Current Utilization" : "53.23", "Threshold value" : "90.00" }, "message" : "var-lib-ceph-osd-ceph-20 MountPoint utilization back to normal on: c2conmon1", "description" : "var-lib-ceph-osd-ceph-20 MountPoint utilization on the node: c2conmon1 is back to normal. Threshold value: 90.00%. Current utilization: 53.23%", "severity" : 5, "correlationid" : BinData(0,"AAAAAAAAAAAAAAAAAAAAAA=="), "acked" : false, "userackedtime" : ISODate("0001-01-01T00:00:00Z"), "systemackedtime" : ISODate("0001-01-01T00:00:00Z"), "ackedbyuser" : "", "ackedbyevent" : "", "userackcomment" : "", "systemackcomment" : "", "notify" : true, "notified" : false }

{ "_id" : ObjectId("5939696c1886e36bee52b5cb"), "eventid" : BinData(0,"1XpZzxMsQ8GYaj/x5giL/g=="), "clusterid" : BinData(0,"qTuLjKf+QQOENGpJD2QaZg=="), "clustername" : "ceph", "notificationentity" : 1, "entityid" : BinData(0,"qTuLjKf+QQOENGpJD2QaZg=="), "nodeid" : BinData(0,"wDA2TjfaRu+zC/MsioAVxA=="), "nodename" : "", "timestamp" : ISODate("2017-06-08T15:12:44.204Z"), "name" : "Cluster health changed", "context" : "skyring:813e5108-a9fd-4aaa-8ee6-eb7c9e3d12fd", "tags" : { "fsid" : "a93b8b8c-a7fe-4103-8434-6a490f641a66" }, "message" : "Health of cluster 'ceph' degraded from HEALTH_OK to HEALTH_WARN", "description" : "", "severity" : 4, "correlationid" : BinData(0,"AAAAAAAAAAAAAAAAAAAAAA=="), "acked" : true, "userackedtime" : ISODate("0001-01-01T00:00:00Z"), "systemackedtime" : ISODate("2017-06-08T15:17:42.111Z"), "ackedbyuser" : "", "ackedbyevent" : "b1746a75-0471-4bbb-8341-daf0af25590a", "userackcomment" : "", "systemackcomment" : "This event is dismissed automatically, as we have recieved a corresponding event: b1746a75-0471-4bbb-8341-daf0af25590a", "notify" : true, "notified" : false }

{ "_id" : ObjectId("59396a961886e36bee52b5cc"), "eventid" : BinData(0,"sXRqdQRxS7uDQdrwryVZCg=="), "clusterid" : BinData(0,"qTuLjKf+QQOENGpJD2QaZg=="), "clustername" : "ceph", "notificationentity" : 1, "entityid" : BinData(0,"qTuLjKf+QQOENGpJD2QaZg=="), "nodeid" : BinData(0,"wDA2TjfaRu+zC/MsioAVxA=="), "nodename" : "", "timestamp" : ISODate("2017-06-08T15:17:42.106Z"), "name" : "Cluster health changed", "context" : "skyring:b8bb89ea-3217-4425-9a9b-990c3bd0cceb", "tags" : { "fsid" : "a93b8b8c-a7fe-4103-8434-6a490f641a66" }, "message" : "Health of cluster 'ceph' recovered from HEALTH_WARN to HEALTH_OK", "description" : "", "severity" : 5, "correlationid" : BinData(0,"AAAAAAAAAAAAAAAAAAAAAA=="), "acked" : false, "userackedtime" : ISODate("0001-01-01T00:00:00Z"), "systemackedtime" : ISODate("0001-01-01T00:00:00Z"), "ackedbyuser" : "", "ackedbyevent" : "", "userackcomment" : "", "systemackcomment" : "", "notify" : true, "notified" : false }

{ "_id" : ObjectId("59396af21886e36bee52b5cd"), "eventid" : BinData(0,"FT3/eeSCQ3S239JtTwPqZA=="), "clusterid" : BinData(0,"qTuLjKf+QQOENGpJD2QaZg=="), "clustername" : "ceph", "notificationentity" : 1, "entityid" : BinData(0,"qTuLjKf+QQOENGpJD2QaZg=="), "nodeid" : BinData(0,"wDA2TjfaRu+zC/MsioAVxA=="), "nodename" : "", "timestamp" : ISODate("2017-06-08T15:19:14.714Z"), "name" : "Cluster health changed", "context" : "skyring:5322ebb4-e449-4bad-8df1-017e3229bcee", "tags" : { "fsid" : "a93b8b8c-a7fe-4103-8434-6a490f641a66" }, "message" : "Health of cluster 'ceph' degraded from HEALTH_OK to HEALTH_WARN", "description" : "", "severity" : 4, "correlationid" : BinData(0,"AAAAAAAAAAAAAAAAAAAAAA=="), "acked" : false, "userackedtime" : ISODate("0001-01-01T00:00:00Z"), "systemackedtime" : ISODate("0001-01-01T00:00:00Z"), "ackedbyuser" : "", "ackedbyevent" : "", "userackcomment" : "", "systemackcomment" : "", "notify" : true, "notified" : false }

{ "_id" : ObjectId("59396baa1886e36bee52b5ce"), "eventid" : BinData(0,"u1n2mtDdSiKXYnwZ+GOU2g=="), "clusterid" : BinData(0,"qTuLjKf+QQOENGpJD2QaZg=="), "clustername" : "ceph", "notificationentity" : 0, "entityid" : BinData(0,"wDA2TjfaRu+zC/MsioAVxA=="), "nodeid" : BinData(0,"wDA2TjfaRu+zC/MsioAVxA=="), "nodename" : "c2conmon1", "timestamp" : ISODate("2017-06-08T15:22:18.022Z"), "name" : "Mount Threshold Crossed-var-lib-ceph-osd-ceph-20", "context" : "skyring:9e3cb1ee-d878-4573-bcba-eab221603f53", "tags" : { "Current Utilization" : "89.22", "Threshold value" : "90.00" }, "message" : "var-lib-ceph-osd-ceph-20 MountPoint utilization crossed threshold on: c2conmon1", "description" : "var-lib-ceph-osd-ceph-20 MountPoint utilization on the node: c2conmon1 has crossed the threshold value of 90.00%. Current utilization: 89.22%", "severity" : 4, "correlationid" : BinData(0,"AAAAAAAAAAAAAAAAAAAAAA=="), "acked" : true, "userackedtime" : ISODate("0001-01-01T00:00:00Z"), "systemackedtime" : ISODate("2017-06-08T15:32:17.931Z"), "ackedbyuser" : "", "ackedbyevent" : "22532598-6d8c-42b4-84a6-4aad37ab13c3", "userackcomment" : "", "systemackcomment" : "This event is dismissed automatically, as we have recieved a corresponding event: 22532598-6d8c-42b4-84a6-4aad37ab13c3", "notify" : true, "notified" : false }

{ "_id" : ObjectId("59396e011886e36bee52b5cf"), "eventid" : BinData(0,"IlMlmG2MQrSEpkqtN6sTww=="), "clusterid" : BinData(0,"qTuLjKf+QQOENGpJD2QaZg=="), "clustername" : "ceph", "notificationentity" : 0, "entityid" : BinData(0,"wDA2TjfaRu+zC/MsioAVxA=="), "nodeid" : BinData(0,"wDA2TjfaRu+zC/MsioAVxA=="), "nodename" : "c2conmon1", "timestamp" : ISODate("2017-06-08T15:32:17.929Z"), "name" : "Mount Threshold Crossed-var-lib-ceph-osd-ceph-20", "context" : "skyring:3e28049e-07c6-4c69-aa36-1265bf8602fd", "tags" : { "Current Utilization" : "90.31", "Threshold value" : "90.00" }, "message" : "var-lib-ceph-osd-ceph-20 MountPoint utilization crossed threshold on: c2conmon1", "description" : "var-lib-ceph-osd-ceph-20 MountPoint utilization on the node: c2conmon1 has crossed the threshold value of 90.00%. Current utilization: 90.31%", "severity" : 1, "correlationid" : BinData(0,"AAAAAAAAAAAAAAAAAAAAAA=="), "acked" : false, "userackedtime" : ISODate("0001-01-01T00:00:00Z"), "systemackedtime" : ISODate("0001-01-01T00:00:00Z"), "ackedbyuser" : "", "ackedbyevent" : "", "userackcomment" : "", "systemackcomment" : "", "notify" : true, "notified" : false }

Comment 5 Shubhendu Tripathi 2018-11-19 05:41:16 UTC
This product is EOL now


Note You need to log in before you can comment on or make changes to this bug.